fse.vo

## Class AdHocQuery

- java.lang.Object
- - fse.vo.AdHocQuery

-     public class AdHocQuery
      extends Object

  Contiene i dati utili ad effettuare una query sul fascicolo. Unico dato obbligatorio per effettuare una query � l'identificativo del paziente.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private List<MetadataCriteria>` | `customCriteria`
    `private Date` | `dateFrom`
    `private Date` | `dateTo`
    `private String` | `documentStatus`
    `private List<String>` | `documentTypes`
    `private List<DocumentURI>` | `documentURIs`
    `private boolean` | `filterByAuthor`
    `private PatientIdentifier` | `patientId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdHocQuery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<MetadataCriteria>` | `getCustomCriteria()` Restituisce la lista dei criteri aggiuntivi eventualmente impostati sulla ricerca
    `Date` | `getDateFrom()` Restituisce la data di inizio dell'intervallo di ricerca
    `Date` | `getDateTo()` Restituisce la data di fine dell'intervallo di ricerca
    `String` | `getDocumentStatus()` Restituisce lo stato del documento da ricercare
    `List<String>` | `getDocumentTypes()` Restituisce il tipo di documento richiesto secondo la codifica LOINC.
    `List<DocumentURI>` | `getDocumentURIs()` Restituisce la lista degli identificativi di documento da ricercare
    `boolean` | `getFilterByAuthor()` Abilita la ricerca per author.
    `PatientIdentifier` | `getPatientId()` Restituisce l'identificativo univoco dell'assistito sul cui fascicolo si vuole effettuare la ricerca.
    `void` | `setCustomCriteria(List<MetadataCriteria> customCriteria)` Imposta la lista dei criteri aggiuntivi eventualmente impostati sulla ricerca.
    `void` | `setDateFrom(Date dateFrom)` Imposta la data di inizio dell'intervallo di ricerca.
    `void` | `setDateTo(Date dateTo)` Imposta la data di fine dell'intervallo di ricerca.
    `void` | `setDocumentStatus(String documentStatus)` Imposta lo stato dei documenti da cercare.
    `void` | `setDocumentTypes(List<String> documentTypes)` Imposta il tipo di documento richiesto secondo la codifica LOINC.
    `void` | `setDocumentURIs(List<DocumentURI> documentURIs)` Imposta la lista degli identificativi di documento da ricerca.
    `void` | `setFilterByAuthor(boolean filterByAuthor)` Abilita la riscerca per author facoltativo.
    `void` | `setPatientId(PatientIdentifier patientId)` Restituisce l'identificativo univoco dell'assistito sul cui fascicolo si vuole effettuare la ricerca.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dateFrom

          private Date dateFrom

    - #### dateTo

          private Date dateTo

    - #### documentTypes

          private List<String> documentTypes

    - #### patientId

          private PatientIdentifier patientId

    - #### documentStatus

          private String documentStatus

    - #### customCriteria

          private List<MetadataCriteria> customCriteria

    - #### documentURIs

          private List<DocumentURI> documentURIs

    - #### filterByAuthor

          private boolean filterByAuthor

  - ### Constructor Detail

    - #### AdHocQuery

          public AdHocQuery()

  - ### Method Detail

    - #### getPatientId

          public PatientIdentifier getPatientId()

      Restituisce l'identificativo univoco dell'assistito sul cui fascicolo si vuole effettuare la ricerca.
      Returns:
        l'identificativo dell'assistito

    - #### setPatientId

          public void setPatientId(PatientIdentifier patientId)

      Restituisce l'identificativo univoco dell'assistito sul cui fascicolo si vuole effettuare la ricerca. Parametro obbligatorio.
      Parameters:
        `patientId` - l'identificativo dell'assistito

    - #### getDocumentStatus

          public String getDocumentStatus()

      Restituisce lo stato del documento da ricercare
      Returns:
        lo stato del documento

    - #### setDocumentStatus

          public void setDocumentStatus(String documentStatus)

      Imposta lo stato dei documenti da cercare. I valori ammessi sono `Approved` e `Deprecated`. Parametro facoltativo.
      Parameters:
        `documentStatus` - lo stato del documento

    - #### getDateFrom

          public Date getDateFrom()

      Restituisce la data di inizio dell'intervallo di ricerca
      Returns:
        la data di inizio dell'intervallo di ricerca

    - #### getDateTo

          public Date getDateTo()

      Restituisce la data di fine dell'intervallo di ricerca
      Returns:
        la data di fine dell'intervallo di ricerca

    - #### getDocumentTypes

          public List<String> getDocumentTypes()

      Restituisce il tipo di documento richiesto secondo la codifica LOINC.
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Returns:
        il tipo del documento ricercato

    - #### setDateFrom

          public void setDateFrom(Date dateFrom)

      Imposta la data di inizio dell'intervallo di ricerca. Parametro facoltativo.
      Parameters:
        `dateFrom` - la data di inizio dell'intervallo di ricerca

    - #### setDateTo

          public void setDateTo(Date dateTo)

      Imposta la data di fine dell'intervallo di ricerca. Parametro facoltativo.
      Parameters:
        `dateTo` - la data di fine dell'intervallo di ricerca

    - #### setDocumentTypes

          public void setDocumentTypes(List<String> documentTypes)

      Imposta il tipo di documento richiesto secondo la codifica LOINC. Parametro facoltativo.
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Parameters:
        `documentTypes` - il tipo di documento

    - #### getCustomCriteria

          public List<MetadataCriteria> getCustomCriteria()

      Restituisce la lista dei criteri aggiuntivi eventualmente impostati sulla ricerca
      Returns:
        la lista dei criteri aggiuntivi

    - #### setCustomCriteria

          public void setCustomCriteria(List<MetadataCriteria> customCriteria)

      Imposta la lista dei criteri aggiuntivi eventualmente impostati sulla ricerca. Parametro facoltativo.
      Parameters:
        `customCriteria` - la lista dei criteri aggiuntivi

    - #### getDocumentURIs

          public List<DocumentURI> getDocumentURIs()

      Restituisce la lista degli identificativi di documento da ricercare
      Returns:
        la lista degli identificativi

    - #### setDocumentURIs

          public void setDocumentURIs(List<DocumentURI> documentURIs)

      Imposta la lista degli identificativi di documento da ricerca. Parametro facoltativo.
      Parameters:
        `documentURIs` - la lista degli identificativi da ricercare

    - #### getFilterByAuthor

          public boolean getFilterByAuthor()

      Abilita la ricerca per author.
      Returns:
        filterByAuthor

    - #### setFilterByAuthor

          public void setFilterByAuthor(boolean filterByAuthor)

      Abilita la riscerca per author facoltativo.
      Parameters:
        `filterByAuthor` -